> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/introduction.md).

# Introduction

The VGS Vault HTTP API is used for storing, retrieving, and managing sensitive data within a VGS Vault (aka Tokenization). VGS's Tokenization platform assigns aliases to real values and stores them as key/value pairs in each vault. There are several configurations that determine the storing behavior of VGS vaults and subsequently the behavior of this api. Specifically:

* Fingerprinting

  Fingerprinting, when configured to `on`, will ensure that a value will always return the same alias for any alias type. For instance, if one were to tokenize the string `ABC123` using an alias format of `UUID` the api would return an alias like this `tok_live_553468dafgda6asdfa5fa`. Every subsequent "create alias" on the same value will return the same alias `tok_live_553468dafgda6asdfa5fa`. When configured to `off`, each create alias will create a new and separate UUID for this value. Fingerprinting can be configured in the VGS dashboard in a vault's advance settings.
* Reveal

  For read operations to work on any vault - VGS needs to configure each vault to allow for read access. Even if you were to apply the `vault:read` scope.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
